org.labkey.remoteapi.security

## Class GetContainersCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<GetContainersResponse>
  - - org.labkey.remoteapi.security.GetContainersCommand

-     public class GetContainersCommand
      extends Command<GetContainersResponse>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetContainersCommand()`
    `GetContainersCommand(GetContainersCommand source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetContainersCommand` | `copy()` Returns a copy of this object.
    `protected GetContainersResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.
    `java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()` Returns the current parameter map, or null if a map has not yet been set.
    `boolean` | `isIncludeSubfolders()`
    `void` | `setIncludeSubfolders(boolean includeSubfolders)`

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, createRequest, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetContainersCommand

          public GetContainersCommand()

    - #### GetContainersCommand

          public GetContainersCommand(GetContainersCommand source)

  - ### Method Detail

    - #### isIncludeSubfolders

          public boolean isIncludeSubfolders()

    - #### setIncludeSubfolders

          public void setIncludeSubfolders(boolean includeSubfolders)

    - #### createResponse

          protected GetContainersResponse createResponse(java.lang.String text,
                                                         int status,
                                                         java.lang.String contentType,
                                                         org.json.simple.JSONObject json)

      Description copied from class: `Command`
      Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

      Override this method to create an instance of a different class that extends CommandResponse

      Overrides:
        `createResponse` in class `Command<GetContainersResponse>`
      Parameters:
        `text` - The response text from the server.
        `status` - The HTTP status code.
        `contentType` - The Content-Type header value.
        `json` - The parsed JSONObject (or null if no JSON was returned).
      Returns:
        An instance of the response object.

    - #### getParameters

          public java.util.Map<java.lang.String,java.lang.Object> getParameters()

      Description copied from class: `Command`
      Returns the current parameter map, or null if a map has not yet been set. Derived classes will typically override this method to provide a parameter map based on data members set by specialized setter methods.
      Overrides:
        `getParameters` in class `Command<GetContainersResponse>`
      Returns:
        The current parameter map.

    - #### copy

          public GetContainersCommand copy()

      Description copied from class: `Command`
      Returns a copy of this object. Derived classes should override this to copy their own data members
      Overrides:
        `copy` in class `Command<GetContainersResponse>`
      Returns:
        A copy of this object